summaryrefslogtreecommitdiffstats
path: root/tests/es-searchType-empty.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/es-searchType-empty.sh')
-rwxr-xr-xtests/es-searchType-empty.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/es-searchType-empty.sh b/tests/es-searchType-empty.sh
new file mode 100755
index 0000000..bc0b01e
--- /dev/null
+++ b/tests/es-searchType-empty.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# This file is part of the rsyslog project, released under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+export ES_PORT=19200
+# Using the default will cause deprecation failures
+export ES_PORT_OPTION="transport.port"
+export NUMMESSAGES=2000 # slow test
+export QUEUE_EMPTY_CHECK_FUNC=es_shutdown_empty_check
+ensure_elasticsearch_ready
+generate_conf
+add_conf '
+template(name="tpl" type="string"
+ string="{\"msgnum\":\"%msg:F,58:2%\"}")
+
+module(load="../plugins/omelasticsearch/.libs/omelasticsearch")
+
+if $msg contains "msgnum:" then
+ action(type="omelasticsearch"
+ server="127.0.0.1"
+ serverport="19200"
+ searchType=""
+ template="tpl"
+ searchIndex="rsyslog_testbench")
+'
+startup
+injectmsg
+shutdown_when_empty
+wait_shutdown
+es_getdata
+seq_check
+if grep "DEPRECATION" $dep_work_dir/es/logs/rsyslog-testbench_deprecation.log; then
+ echo "Found deprecations, failing!"
+ exit 1
+fi
+exit_test